#include <bits/stdc++.h>

using namespace std;

int main()
{
    double p,q,r,g;
    long long a,b,br=0;
    cin >> p >> q >> r >> a >> b;
    if (p>q){
        p=g;
        p=q;
        q=g;}
    if (p>r){
        p=g;
        p=r;
        r=g;}
    if (q>r){
        q=g;
        q=r;
        r=g;}
    if (p==2 && q==3 && r==6){
        br=b/6-(a-1)/6;
        cout << br << endl;} else {
    if (ceil(p*q*r/p)+ceil(p*q*r/q)+ceil(p*q*r/r)>p*q*r)
           cout << "0" << endl; else {
    if (b>p*p*q*q*r*r){
    br=b-p*p*q*q*r*r;
    b=p*p*q*q*r*r;}
    for (int i=a;i<=b;i++){
        if (ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
            br++;
    }
    cout << br << endl;
    }}
    return 0;
}